OpenVDB 13.0.0

Loading...
Searching...
No Matches
LeafManagerImpl< ManagerT > Struct Template Reference

`#include <openvdb/tree/LeafManager.h>`

## Public Types
using | RangeT = typename ManagerT::RangeType
using | LeafT = typename ManagerT::LeafType
using | BufT = typename ManagerT::BufferType

## Static Public Member Functions
static void | doSwapLeafBuffer (const RangeT &r, size_t auxBufferIdx, LeafT **leafs, BufT *bufs, size_t bufsPerLeaf)

## Detailed Description

template<typename ManagerT>
struct openvdb::v13_0::tree::LeafManagerImpl< ManagerT >

This helper class implements LeafManager methods that need to be specialized for const vs. non-const trees.

## Member Typedef Documentation

## ◆ BufT

template<typename ManagerT>

using BufT = typename ManagerT::BufferType

## ◆ LeafT

template<typename ManagerT>

using LeafT = typename ManagerT::LeafType

## ◆ RangeT

template<typename ManagerT>

using RangeT = typename ManagerT::RangeType

## Member Function Documentation

## ◆ doSwapLeafBuffer()

template<typename ManagerT>

void doSwapLeafBuffer | ( | const RangeT & | r,
|  | size_t | auxBufferIdx,
|  | LeafT ** | leafs,
|  | BufT * | bufs,
|  | size_t | bufsPerLeaf )
| inline static